Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.arp
Class ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.xml.sax.SAXException
                  org.xml.sax.SAXParseException
                      com.hp.hpl.jena.rdf.arp.ParseException

All Implemented Interfaces:
  ARPErrorNumbers, java.io.Serializable

    public class ParseException

extends org.xml.sax.SAXParseException
implements ARPErrorNumbers

An exception during the RDF processing of ARP. Note: it is distinguished from an XML related exception from Xerces because while both are SAXParseException's, the latter are not com.hp.hpl.jena.arp.ParseException's.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.hp.hpl.jena.rdf.arp.ARPErrorNumbers
`EM_ERROR, EM_FATAL, EM_IGNORE, EM_WARNING, ERR_ABOUTEACH_NOT_TOPLEVEL, ERR_BAD_RDF_ATTRIBUTE, ERR_BAD_RDF_ELEMENT, ERR_ENCODING_MISMATCH, ERR_GENERIC_IO, ERR_INTERNAL_ERROR, ERR_INTERRUPTED, ERR_LI_AS_TYPE, ERR_NOT_WHITESPACE, ERR_RESOLVING_AGAINST_MALFORMED_BASE, ERR_RESOLVING_AGAINST_RELATIVE_BASE, ERR_RESOLVING_URI_AGAINST_NULL_BASE, ERR_SAX_ERROR, ERR_SAX_FATAL_ERROR, ERR_STRING_NOT_NORMAL_FORM_C, ERR_SYNTAX_ERROR, ERR_UNABLE_TO_RECOVER, ERR_URI_NOT_NORMAL_FORM_C, ERR_UTF_ENCODING, IGN_DAML_COLLECTION, IGN_NO_BASE_URI_SPECIFIED, IGN_PRIVATE_XMLLANG, IGN_XMLBASE_SIGNIFICANT, IGN_XMLBASE_USED, WARN_BAD_NAME, WARN_BAD_NAMESPACE_URI, WARN_BAD_RDF_NAMESPACE_URI, WARN_BAD_XML, WARN_BAD_XML_NAMESPACE_URI, WARN_BAD_XMLLANG, WARN_BIG_FILE, WARN_DEPRECATED_XMLLANG, WARN_ENCODING_MISMATCH, WARN_IN_STRICT_MODE, WARN_LEGAL_REUSE_OF_ID, WARN_MALFORMED_URI, WARN_MALFORMED_XMLLANG, WARN_MINOR_INTERNAL_ERROR, WARN_NON_IANA_ENCODING, WARN_NONCANONICAL_IANA_NAME, WARN_NOT_RDF_NAMESPACE, WARN_PROCESSING_INSTRUCTION_IN_RDF, WARN_QNAME_AS_ID, WARN_RDF_NN_AS_TYPE, WARN_REDEFINITION_OF_ID, WARN_RELATIVE_NAMESPACE_URI_DEPRECATED, WARN_RELATIVE_URI, WARN_RESOLVING_URI_AGAINST_EMPTY_BASE, WARN_SAX_WARNING, WARN_STRING_COMPOSING_CHAR, WARN_STRING_NOT_NORMAL_FORM_C, WARN_UNKNOWN_PARSETYPE, WARN_UNKNOWN_RDF_ATTRIBUTE, WARN_UNKNOWN_RDF_ELEMENT, WARN_UNKNOWN_XML_ATTRIBUTE, WARN_UNQUALIFIED_ATTRIBUTE, WARN_UNQUALIFIED_ELEMENT, WARN_UNQUALIFIED_RDF_ATTRIBUTE, WARN_UNSUPPORTED_ENCODING, WARN_URI_COMPOSING_CHAR, WARN_XMLBASE_MISSING`

Constructor Summary
`ParseException(int id, com.hp.hpl.jena.rdf.arp.impl.Location where, java.lang.Exception e)`

Method Summary
`static int` | `errorCode(java.lang.String upper)` The integer code associated with a string from `ARPErrorNumbers`.
`static java.lang.String` | `errorCodeName(int errNo)` The string from `ARPErrorNumbers` associated with an integer error code
`static java.lang.String` | `formatMessage(java.lang.Exception e)` Calls e.getMessage() and also accesses line and column information for SAXParseException's.
`int` | `getErrorNumber()` The error number (from `ARPErrorNumbers`) related to this exception.
`java.lang.String` | `getMessage()` The message without location information.
`boolean` | `isPromoted()`
`boolean` | `isSyntaxError()` Is this error an RDF syntax error.
`void` | `promote()` Intended for use within an RDFErrorHandler.

Methods inherited from class org.xml.sax.SAXParseException
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Methods inherited from class org.xml.sax.SAXException
`getException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseException

    public ParseException(int id,
                          com.hp.hpl.jena.rdf.arp.impl.Location where,
                          java.lang.Exception e)

Method Detail

### getErrorNumber

    public int getErrorNumber()

  The error number (from `ARPErrorNumbers`) related to this exception.

  Returns:
    The error number.

### isSyntaxError

    public boolean isSyntaxError()

  Is this error an RDF syntax error. A syntax error indicates that well-formed XML, uses RDF properties and attributes, and whitespace and XML elements, in a way that does not conform with the RDF/XML Syntax (Revised) specification. (Currently most such errors have code `ARPErrorNumbers.ERR_SYNTAX_ERROR`, but this may change in the future).

  Returns:
    True if this is a syntax error

### promote

    public void promote()

  Intended for use within an RDFErrorHandler. This method is untested. Marks the exception to be promoted to be thrown from the parser's entry method.

### getMessage

    public java.lang.String getMessage()

  The message without location information. Use either the formatMessage method, or the SAXParseException interface, to access the location information.

  Overrides:
    `getMessage` in class `org.xml.sax.SAXException`
  Returns:
    The exception message.

### formatMessage

    public static java.lang.String formatMessage(java.lang.Exception e)

  Calls e.getMessage() and also accesses line and column information for SAXParseException's.

  Parameters:
    `e` - The exception to describe.
  Returns:
    e.getMessage() possibly prepended by error location information.

### isPromoted

    public boolean isPromoted()

### errorCodeName

    public static java.lang.String errorCodeName(int errNo)

  The string from `ARPErrorNumbers` associated with an integer error code

  Parameters:
    `errNo` - An error code from `ARPErrorNumbers`.
  Returns:
    The field name from `ARPErrorNumbers` with this error number, or null

### errorCode

    public static int errorCode(java.lang.String upper)

  The integer code associated with a string from `ARPErrorNumbers`.

  Parameters:
    `upper` - A field name from `ARPErrorNumbers`, (in upper case).
  Returns:
    The integer value or -1, if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP